path: /build/build/mhash-app-crypt-0.9.9.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-crypt/mhash -pv -t && \
    emerge -j ${JOBS} --nodeps app-crypt/mhash
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mhash && luet-portage --dir /pkgdir/mhash
    app-crypt/mhash && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: mhash
    version: 0.9.9.9
    category: app-crypt
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: library providing a uniform interface to a large number of hash algorithms
    uri:
    - http://mhash.sourceforge.net/
    license: GPL-2
    buildtimestamp: 2023-09-16 15:54:16.654123345 +0000 UTC m=+89.288958870
    labels:
      BDEPEND: dev-lang/perl
      IUSE: static-libs
      emerge.packages: app-crypt/mhash
      kit: security-kit
      original.package.name: app-crypt/mhash
      original.package.slot: "0"
      original.package.version: 0.9.9.9-r2
    treedir: /build/packages
  package_dir: /pkgdir/mhash
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 42496f7690497a26f7d9ad3b2e2fce5eae757fff82855a6b4e9ff56347b5ca26
compressiontype: zstd
files:
- usr/include/mhash.h
- usr/include/mutils/mglobal.h
- usr/include/mutils/mhash.h
- usr/include/mutils/mhash_config.h
- usr/include/mutils/mincludes.h
- usr/include/mutils/mtypes.h
- usr/include/mutils/mutils.h
- usr/lib64/libmhash.so
- usr/lib64/libmhash.so.2
- usr/lib64/libmhash.so.2.0.1
- usr/share/doc/mhash-0.9.9.9-r2/example.c.bz2
- usr/share/doc/mhash-0.9.9.9-r2/html/mhash.html
- usr/share/doc/mhash-0.9.9.9-r2/skid2-authentication.bz2
- usr/share/man/man3/mhash.3.bz2
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/BDEPEND
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/BUILD_TIME
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/CATEGORY
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/CBUILD
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/CFLAGS
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/CHOST
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/CONTENTS
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/COUNTER
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/CXXFLAGS
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/DEFINED_PHASES
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/DESCRIPTION
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/EAPI
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/FEATURES
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/HOMEPAGE
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/IUSE
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/IUSE_EFFECTIVE
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/KEYWORDS
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/LDFLAGS
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/LICENSE
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/NEEDED
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/PF
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/PROVIDES
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/REQUIRES
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/SIZE
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/SLOT
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/USE
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/environment.bz2
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/mhash-0.9.9.9-r2.ebuild
- var/db/pkg/app-crypt/mhash-0.9.9.9-r2/repository
package_cacheimage: ""
runtime:
  name: mhash
  version: 0.9.9.9
  category: app-crypt
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: library providing a uniform interface to a large number of hash algorithms
  uri:
  - http://mhash.sourceforge.net/
  license: GPL-2
  labels:
    BDEPEND: dev-lang/perl
    IUSE: static-libs
    emerge.packages: app-crypt/mhash
    kit: security-kit
    original.package.name: app-crypt/mhash
    original.package.slot: "0"
    original.package.version: 0.9.9.9-r2
